Page MenuHomeFreeBSD

em(4): Add Skylake/I219 support.
AbandonedPublic

Authored by erj on Jul 23 2015, 12:45 AM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 25 2017, 7:52 AM
Unknown Object (File)
Apr 10 2017, 3:09 PM
Unknown Object (File)
Mar 27 2017, 11:32 AM
Unknown Object (File)
Mar 19 2017, 4:23 AM
Unknown Object (File)
Feb 26 2017, 12:24 AM
Unknown Object (File)
Feb 15 2017, 12:08 AM
Unknown Object (File)
Feb 6 2017, 11:23 PM
Unknown Object (File)
Jan 30 2017, 5:47 PM

Details

Reviewers
jfv
gnn
sbruno
Summary

Authored by: jfv

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage

Event Timeline

erj retitled this revision from to Add Skylake support to em..
erj updated this object.
erj edited the test plan for this revision. (Show Details)
erj retitled this revision from Add Skylake support to em. to em(4): Add Skylake/I219 support..Jul 23 2015, 12:46 AM
sys/dev/e1000/if_em.c
3738

Can we get 1 or 2 lines of comment here to explain what is mechanically being programmed into the adapter?

sys/dev/e1000/if_em.c
3738

I don't actually know what's going on here. I assume it has to do with the IOSF bus, but I don't have easy access to a datasheet atm. I'll add Jack as a subscriber to see if he remembers.

The block of code that Sean asked about is basically something the hardware
team said needed to be added, they gave me no details, this is often the way
it goes Sean, sorry :)

jfv edited edge metadata.

Thanks for getting this in Eric.

This revision is now accepted and ready to land.Jul 24 2015, 7:28 PM
sbruno edited edge metadata.

This was reverted from head when r287467 (D3162) was reverted. Opening so we can remember to commit it.

This revision is now accepted and ready to land.Sep 7 2015, 8:43 PM

This was reverted from head due to its dependency.

This revision is now accepted and ready to land.Sep 19 2015, 6:25 PM
sbruno requested changes to this revision.Oct 29 2015, 8:40 PM
sbruno edited edge metadata.

Confirmed that this breaks several other working em(4) class adapters with Intel Engineering. Will retest when update is available.

This revision now requires changes to proceed.Oct 29 2015, 8:40 PM

Eric:

When are you guys going to look into this again? I don't have i219 hardware here, so I'm unsure how to proceed.

This keeps on getting pushed back.

How about, I promise I will get this updated to the working version we have by Wednesday, before I leave. I think the Fortville pressure is relenting, and we also need to be prepared to get all of our stuff updated/pushed up by the 10.3 / 11 deadlines.

I have a Skylake system with an onboard I219-V port. Would be happy to test, if needed.

none4@pci0:0:31:6: class=0x020000 card=0x15b81849 chip=0x15b88086 rev=0x31 hdr=0x00

vendor     = 'Intel Corporation'
device     = 'Ethernet Connection (2) I219-V'
class      = network
subclass   = ethernet

The issue at the moment is that this breaks an unknown amount of non-i219 systems. Waiting for Intel to comment and update here.